Bug 234234 - failure to wakeup from suspend - HP Compaq NX7400 notebook
failure to wakeup from suspend - HP Compaq NX7400 notebook
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 15:26 EDT by Roy-Magne Mo
Modified: 2008-01-26 04:09 EST (History)
6 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 21:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 179702 None None None Never

  None (edit)
Description Roy-Magne Mo 2007-03-27 15:26:31 EDT
Description of problem:
Failure to wake up from suspend

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.3023.fc7

How reproducible:
always

Steps to Reproduce:
1. suspend pc
2. wake it up
3.
  
Actual results:
pc freezes 

Expected results:
pc should wake up

Additional info:
Seems like the issue might already be resolved in the FC6 kernels, according to
BZ #217513 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217513)

I'm also attaching the Novell BZ as a reference with a long discussion.

However I have not had any rawhide kernels work on this hardware, so it's
probably not a regression.
Comment 1 Kevin Fenzi 2007-03-30 15:57:19 EDT
Greetings. 

How are you suspending? Via gnome-power-manager or the 'pm-suspend' command line? 
Or something else?

Is the laptop completely frozen? or can you login via the network and get some
information from it? 

Comment 2 Roy-Magne Mo 2007-04-01 16:16:15 EDT
Tried both, pm-suspend and via gnome-power-manager. gnome-power-manager has been
a little off an on during rawhide.

The laptop is completly frozen, only things that works is the hardware buttons
for wireless and sound, once.

Seems like the problems is in two modules that doesn't clean up correctly before
suspending - according to the Novell bugzilla (#179702)
Comment 3 Dave Jones 2007-04-04 01:07:30 EDT
can you try rmmod'ing some modules before you suspend, to see if you can narrow
down the defect ?
Comment 4 Roy-Magne Mo 2007-04-04 07:26:18 EDT
Seems like the same thing happening, entered runlevel 1 and removed modules. Got
an oops removing the modules, probably unrelated - but trying to follow this in
a separate BZ. 

Removed all the modules I managed to remove, this is what I've got left:
Module                  Size  Used by
sunrpc                164381  1 
acpi_cpufreq           14153  1 
asus_acpi              20829  0 
ipv6                  280225  10 
dm_mod                 59445  5 
ahci                   24261  2 
libata                114529  1 ahci
sd_mod                 24513  3 
scsi_mod              140845  2 libata,sd_mod
ext3                  126329  2 
jbd                    61345  1 ext3
mbcache                12741  1 ext3

Before removing:
Module                  Size  Used by
i915                   26177  2 
drm                    79237  3 i915
autofs4                25693  2 
hidp                   26825  0 
rfcomm                 44777  0 
l2cap                  31313  10 hidp,rfcomm
sunrpc                164381  1 
nf_conntrack_netbios_ns     7233  0 
ipt_REJECT              8641  1 
nf_conntrack_ipv4      15049  2 
xt_state                6593  2 
nf_conntrack           62409  3 nf_conntrack_netbios_ns,nf_conntrack_ipv4,xt_state
nfnetlink              10969  2 nf_conntrack_ipv4,nf_conntrack
iptable_filter          7105  1 
ip_tables              16389  1 iptable_filter
ip6t_REJECT             9409  1 
xt_tcpudp               7233  9 
ip6table_filter         6977  1 
ip6_tables             17541  1 ip6table_filter
x_tables               19029  6
ipt_REJECT,xt_state,ip_tables,ip6t_REJECT,xt_tcpudp,ip6_tables
cpufreq_ondemand       12109  1 
acpi_cpufreq           14153  1 
dm_multipath           22097  0 
video                  21193  0 
sbs                    19469  0 
i2c_ec                  9281  1 sbs
i2c_core               25425  1 i2c_ec
button                 12241  0 
dock                   14253  0 
battery                14277  0 
asus_acpi              20829  0 
ac                      9541  0 
ipv6                  280225  23 ip6t_REJECT
lp                     16809  0 
snd_hda_intel          25065  1 
snd_hda_codec         204161  1 snd_hda_intel
snd_seq_dummy           7877  0 
arc4                    6209  2 
snd_seq_oss            34257  0 
ecb                     7617  2 
hci_usb                21517  2 
blkcipher              10309  1 ecb
snd_seq_midi_event     11337  1 snd_seq_oss
snd_seq                52377  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
sr_mod                 20709  0 
b44                    30549  0 
snd_seq_device         12245  3 snd_seq_dummy,snd_seq_oss,snd_seq
rtc_cmos               12117  0 
cdrom                  36961  1 sr_mod
bluetooth              58949  8 hidp,rfcomm,l2cap,hci_usb
mii                     9409  1 b44
snd_pcm_oss            44129  0 
iwlwifi               140921  0 
fw_ohci                19912  0 
parport_pc             30437  1 
rtc_core               15069  1 rtc_cmos
serio_raw              11077  0 
snd_mixer_oss          19785  1 snd_pcm_oss
fw_core                43401  1 fw_ohci
snd_pcm                76653  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
parport                39081  2 lp,parport_pc
rtc_lib                 7617  1 rtc_core
mac80211              165245  1 iwlwifi
snd_timer              25565  2 snd_seq,snd_pcm
snd                    55301  11
snd_hda_intel,snd_hda_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
cfg80211               16089  1 mac80211
ata_piix               19013  0 
pcspkr                  7361  0 
iTCO_wdt               15121  0 
iTCO_vendor_support     7877  1 iTCO_wdt
soundcore              11809  1 snd
snd_page_alloc         13897  2 snd_hda_intel,snd_pcm
ata_generic            12357  0 
joydev                 13441  0 
sg                     37477  0 
dm_snapshot            21173  0 
dm_zero                 6209  0 
dm_mirror              25837  0 
dm_mod                 59445  9 dm_multipath,dm_snapshot,dm_zero,dm_mirror
ahci                   24261  2 
libata                114529  3 ata_piix,ata_generic,ahci
sd_mod                 24513  3 
scsi_mod              140845  4 sr_mod,sg,libata,sd_mod
ext3                  126329  2 
jbd                    61345  1 ext3
mbcache                12741  1 ext3
ehci_hcd               36185  0 
ohci_hcd               25185  0 
uhci_hcd               27609  0 
Comment 5 Roy-Magne Mo 2007-04-04 07:35:59 EDT
Forgot to mention: kernel version 2.6.20-1.3040.fc7
Comment 6 Roy-Magne Mo 2007-04-13 12:17:01 EDT
trying with the latest kernel: 2.6.20-1.3062.fc7

suspending works, and it seems to wake up - but keyboard, mouse and screen is
dead. I can ssh into the laptop on the wired interface. 

Getting some interesting messages from dmesg:
PM: Preparing system for mem sleep
Stopping tasks ... done.
Suspending console(s)
sr 4:0:0:0: suspend
platform bluetooth: suspend
iTCO_wdt iTCO_wdt: suspend
sd 0:0:0:0: suspend
usb 1-1:1.3: suspend
usb 1-1:1.2: suspend
hci_usb 1-1:1.1: suspend
hci_usb 1-1:1.0: suspend
usb 1-1: suspend, may wakeup
hub 5-0:1.0: suspend
usb usb5: suspend, may wakeup
hub 4-0:1.0: suspend
usb usb4: suspend, may wakeup
hub 3-0:1.0: suspend
usb usb3: suspend, may wakeup
hub 2-0:1.0: suspend
usb usb2: suspend, may wakeup
serio serio5: suspend
hub 1-0:1.0: suspend
usb usb1: suspend, may wakeup
psmouse serio4: suspend
serio serio3: suspend
serio serio2: suspend
serio serio1: suspend
atkbd serio0: suspend
i8042 i8042: suspend
serial8250 serial8250: suspend
platform vesafb.0: suspend
pci_express 0000:00:1c.3:pcie02: suspend
pci_express 0000:00:1c.3:pcie00: suspend
pci_express 0000:00:1c.1:pcie02: suspend
pci_express 0000:00:1c.1:pcie00: suspend
pci_express 0000:00:1c.0:pcie02: suspend
pci_express 0000:00:1c.0:pcie00: suspend
pcspkr pcspkr: suspend
system 00:0c: suspend
system 00:0b: suspend
system 00:0a: suspend
i8042 aux 00:09: suspend
i8042 kbd 00:08: suspend
pnp 00:07: suspend
pnp 00:06: suspend, may wakeup
pnp 00:05: suspend
pnp 00:04: suspend
pnp 00:03: suspend
parport_pc 00:02: suspend
pnp: Device 00:02 disabled.
pnp 00:01: suspend
system 00:00: suspend
b44 0000:02:0e.0: suspend
fw_ohci 0000:02:06.1: suspend
yenta_cardbus 0000:02:06.0: suspend
pci 0000:10:00.0: suspend
ahci 0000:00:1f.2: suspend
ACPI: PCI interrupt for device 0000:00:1f.2 disabled
ata_piix 0000:00:1f.1: suspend
ACPI: PCI interrupt for device 0000:00:1f.1 disabled
pci_set_power_state(): 0000:00:1f.1: state=3, current state=5
pci 0000:00:1f.0: suspend
pci 0000:00:1e.0: suspend
ehci_hcd 0000:00:1d.7: suspend, may wakeup
ACPI: PCI interrupt for device 0000:00:1d.7 disabled
uhci_hcd 0000:00:1d.3: suspend
ACPI: PCI interrupt for device 0000:00:1d.3 disabled
uhci_hcd 0000:00:1d.2: suspend
ACPI: PCI interrupt for device 0000:00:1d.2 disabled
uhci_hcd 0000:00:1d.1: suspend
ACPI: PCI interrupt for device 0000:00:1d.1 disabled
uhci_hcd 0000:00:1d.0: suspend
ACPI: PCI interrupt for device 0000:00:1d.0 disabled
pcieport-driver 0000:00:1c.3: suspend
pcieport-driver 0000:00:1c.1: suspend
pcieport-driver 0000:00:1c.0: suspend
HDA Intel 0000:00:1b.0: suspend
ACPI: PCI interrupt for device 0000:00:1b.0 disabled
pci 0000:00:02.1: suspend
pci 0000:00:02.0: suspend
agpgart-intel 0000:00:00.0: suspend
thermal thermal:05: suspend
thermal thermal:04: suspend
thermal thermal:03: suspend
thermal thermal:02: suspend
thermal thermal:01: suspend
fan PNP0C0B:03: suspend
fan PNP0C0B:02: suspend
fan PNP0C0B:01: suspend
fan PNP0C0B:00: suspend
power power_resource:06: suspend
power power_resource:05: suspend
power power_resource:04: suspend
power power_resource:03: suspend
acpi thermal:00: suspend
acpi PNP0C02:02: suspend
acpi PNP0C14:00: suspend
button PNP0C0D:00: suspend
button PNP0C0E:00: suspend
ac ACPI0003:00: suspend
battery PNP0C0A:01: suspend
battery PNP0C0A:00: suspend
acpi HPQ0006:00: suspend
acpi device:3a: suspend
acpi device:39: suspend
acpi PNP0C02:01: suspend
acpi PNP0C0F:07: suspend
pci_link PNP0C0F:06: suspend
pci_link PNP0C0F:05: suspend
pci_link PNP0C0F:04: suspend
pci_link PNP0C0F:03: suspend
pci_link PNP0C0F:02: suspend
pci_link PNP0C0F:01: suspend
pci_link PNP0C0F:00: suspend
power power_resource:02: suspend
acpi device:38: suspend
acpi device:37: suspend
acpi device:36: suspend
acpi device:35: suspend
acpi device:34: suspend
acpi device:33: suspend
acpi device:32: suspend
acpi device:31: suspend
acpi device:30: suspend
acpi device:2f: suspend
acpi device:2e: suspend
acpi device:2d: suspend
acpi device:2c: suspend
acpi device:2b: suspend
acpi device:2a: suspend
acpi device:29: suspend
acpi device:28: suspend
acpi device:27: suspend
acpi device:26: suspend
acpi device:25: suspend
acpi device:24: suspend
acpi device:23: suspend
acpi device:22: suspend
acpi device:21: suspend
acpi device:20: suspend
acpi device:1f: suspend
acpi device:1e: suspend
acpi device:1d: suspend
acpi device:1c: suspend
acpi device:1b: suspend
acpi device:1a: suspend
acpi device:19: suspend
acpi device:18: suspend
acpi device:17: suspend
acpi device:16: suspend
acpi device:15: suspend
acpi device:14: suspend
acpi device:13: suspend
acpi device:12: suspend
acpi device:11: suspend
acpi device:10: suspend
acpi device:0f: suspend
acpi device:0e: suspend
acpi device:0d: suspend
acpi device:0c: suspend
acpi device:0b: suspend
acpi PNP0C02:00: suspend
acpi PNP0000:00: suspend
power power_resource:01: suspend
acpi SYN010D:00: suspend
acpi PNP0303:00: suspend
acpi PNP0103:00: suspend
acpi PNP0B00:00: suspend
acpi PNP0800:00: suspend
acpi PNP0200:00: suspend
acpi PNP0100:00: suspend
acpi PNP0C04:00: suspend
power power_resource:00: suspend
acpi PNP0401:00: suspend
container PNP0A06:00: suspend
ec PNP0C09:00: suspend
acpi device:0a: suspend
acpi device:09: suspend
acpi device:08: suspend
acpi device:07: suspend
acpi device:06: suspend
acpi device:05: suspend
acpi device:04: suspend
acpi device:03: suspend
acpi device:02: suspend
acpi device:01: suspend
video video:00: suspend
pci_root PNP0A08:00: suspend
acpi PNP0C01:00: suspend
acpi device:00: suspend
processor ACPI0007:01: suspend
processor ACPI0007:00: suspend
button button_power:00: suspend
acpi acpi_system:00: suspend
Disabling non-boot CPUs ...
Breaking affinity for irq 12
Breaking affinity for irq 14
Breaking affinity for irq 16
Breaking affinity for irq 17
Breaking affinity for irq 20
CPU 1 is now offline
lockdep: not fixing up alternatives.
CPU1 is down
PM: Entering mem sleep
platform bluetooth: LATE suspend
iTCO_wdt iTCO_wdt: LATE suspend
serial8250 serial8250: LATE suspend
platform vesafb.0: LATE suspend
pcspkr pcspkr: LATE suspend
b44 0000:02:0e.0: LATE suspend
fw_ohci 0000:02:06.1: LATE suspend
yenta_cardbus 0000:02:06.0: LATE suspend
pci 0000:10:00.0: LATE suspend
pci 0000:00:1f.0: LATE suspend
pci 0000:00:1e.0: LATE suspend
pcieport-driver 0000:00:1c.3: LATE suspend
pcieport-driver 0000:00:1c.1: LATE suspend
pcieport-driver 0000:00:1c.0: LATE suspend
HDA Intel 0000:00:1b.0: LATE suspend
pci 0000:00:02.1: LATE suspend
pci 0000:00:02.0: LATE suspend
agpgart-intel 0000:00:00.0: LATE suspend
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
agpgart-intel 0000:00:00.0: EARLY resume
pci 0000:00:02.0: EARLY resume
pci 0000:00:02.1: EARLY resume
HDA Intel 0000:00:1b.0: EARLY resume
pcieport-driver 0000:00:1c.0: EARLY resume
pcieport-driver 0000:00:1c.1: EARLY resume
pcieport-driver 0000:00:1c.3: EARLY resume
uhci_hcd 0000:00:1d.0: EARLY resume
uhci_hcd 0000:00:1d.1: EARLY resume
uhci_hcd 0000:00:1d.2: EARLY resume
uhci_hcd 0000:00:1d.3: EARLY resume
ehci_hcd 0000:00:1d.7: EARLY resume
pci 0000:00:1e.0: EARLY resume
pci 0000:00:1f.0: EARLY resume
ata_piix 0000:00:1f.1: EARLY resume
ahci 0000:00:1f.2: EARLY resume
pci 0000:10:00.0: EARLY resume
yenta_cardbus 0000:02:06.0: EARLY resume
fw_ohci 0000:02:06.1: EARLY resume
b44 0000:02:0e.0: EARLY resume
pcspkr pcspkr: EARLY resume
platform vesafb.0: EARLY resume
serial8250 serial8250: EARLY resume
i8042 i8042: EARLY resume
iTCO_wdt iTCO_wdt: EARLY resume
platform bluetooth: EARLY resume
PM: Finishing wakeup.
Enabling non-boot CPUs ...
lockdep: not fixing up alternatives.
Booting processor 1/1 eip 3000
CPU 1 irqstacks, hard=c07a0000 soft=c0780000
Initializing CPU#1
Calibrating delay using timer specific routine.. 3657.50 BogoMIPS (lpj=1828752)
CPU: After generic identify, caps: bfebfbff 20100000 00000000 00000000 0000e3bd
00000000 00000001
monitor/mwait feature present.
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU: After all inits, caps: bfebf3ff 20100000 00000000 00003940 0000e3bd
00000000 00000001
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel(R) Core(TM)2 CPU         T5600  @ 1.83GHz stepping 06
Switched to high resolution mode on CPU 1
CPU1 is up
APIC error on CPU1: 00(40)
acpi acpi_system:00: resuming
button button_power:00: resuming
processor ACPI0007:00: resuming
processor ACPI0007:01: resuming
acpi device:00: resuming
acpi PNP0C01:00: resuming
pci_root PNP0A08:00: resuming
video video:00: resuming
acpi device:01: resuming
acpi device:02: resuming
acpi device:03: resuming
acpi device:04: resuming
acpi device:05: resuming
acpi device:06: resuming
acpi device:07: resuming
acpi device:08: resuming
acpi device:09: resuming
acpi device:0a: resuming
ec PNP0C09:00: resuming
container PNP0A06:00: resuming
acpi PNP0401:00: resuming
power power_resource:00: resuming
acpi PNP0C04:00: resuming
acpi PNP0100:00: resuming
acpi PNP0200:00: resuming
acpi PNP0800:00: resuming
acpi PNP0B00:00: resuming
acpi PNP0103:00: resuming
acpi PNP0303:00: resuming
acpi SYN010D:00: resuming
power power_resource:01: resuming
acpi PNP0000:00: resuming
acpi PNP0C02:00: resuming
acpi device:0b: resuming
acpi device:0c: resuming
acpi device:0d: resuming
acpi device:0e: resuming
acpi device:0f: resuming
acpi device:10: resuming
acpi device:11: resuming
acpi device:12: resuming
acpi device:13: resuming
acpi device:14: resuming
acpi device:15: resuming
acpi device:16: resuming
acpi device:17: resuming
acpi device:18: resuming
acpi device:19: resuming
acpi device:1a: resuming
acpi device:1b: resuming
acpi device:1c: resuming
acpi device:1d: resuming
acpi device:1e: resuming
acpi device:1f: resuming
acpi device:20: resuming
acpi device:21: resuming
acpi device:22: resuming
acpi device:23: resuming
acpi device:24: resuming
acpi device:25: resuming
acpi device:26: resuming
acpi device:27: resuming
acpi device:28: resuming
acpi device:29: resuming
acpi device:2a: resuming
acpi device:2b: resuming
acpi device:2c: resuming
acpi device:2d: resuming
acpi device:2e: resuming
acpi device:2f: resuming
acpi device:30: resuming
acpi device:31: resuming
acpi device:32: resuming
acpi device:33: resuming
acpi device:34: resuming
acpi device:35: resuming
acpi device:36: resuming
acpi device:37: resuming
acpi device:38: resuming
power power_resource:02: resuming
pci_link PNP0C0F:00: resuming
pci_link PNP0C0F:01: resuming
pci_link PNP0C0F:02: resuming
pci_link PNP0C0F:03: resuming
pci_link PNP0C0F:04: resuming
pci_link PNP0C0F:05: resuming
pci_link PNP0C0F:06: resuming
acpi PNP0C0F:07: resuming
acpi PNP0C02:01: resuming
acpi device:39: resuming
acpi device:3a: resuming
acpi HPQ0006:00: resuming
battery PNP0C0A:00: resuming
battery PNP0C0A:01: resuming
ac ACPI0003:00: resuming
button PNP0C0E:00: resuming
button PNP0C0D:00: resuming
acpi PNP0C14:00: resuming
acpi PNP0C02:02: resuming
acpi device:39: resuming
acpi device:3a: resuming
acpi HPQ0006:00: resuming
battery PNP0C0A:00: resuming
battery PNP0C0A:01: resuming
ac ACPI0003:00: resuming
button PNP0C0E:00: resuming
button PNP0C0D:00: resuming
acpi PNP0C14:00: resuming
acpi PNP0C02:02: resuming
acpi thermal:00: resuming
power power_resource:03: resuming
power power_resource:04: resuming
power power_resource:05: resuming
power power_resource:06: resuming
fan PNP0C0B:00: resuming
fan PNP0C0B:01: resuming
fan PNP0C0B:02: resuming
ACPI: Transitioning device [C326] to D3
ACPI: Transitioning device [C326] to D3
fan PNP0C0B:03: resuming
thermal thermal:01: resuming
thermal thermal:02: resuming
thermal thermal:03: resuming
thermal thermal:04: resuming
thermal thermal:05: resuming
agpgart-intel 0000:00:00.0: resuming
PM: Writing back config space on device 0000:00:02.0 at offset f (was 100,
writing 10a)
pci 0000:00:02.0: resuming
ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
pci 0000:00:02.1: resuming
PM: Writing back config space on device 0000:00:02.1 at offset 4 (was 0, writing
f4500000)
PM: Writing back config space on device 0000:00:02.1 at offset 1 (was 900000,
writing 900007)
HDA Intel 0000:00:1b.0: resuming
PM: Writing back config space on device 0000:00:1b.0 at offset f (was 100,
writing 10a)
PM: Writing back config space on device 0000:00:1b.0 at offset 3 (was 0, writing 10)
PM: Writing back config space on device 0000:00:1b.0 at offset 1 (was 100000,
writing 100002)
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1b.0 to 64
si3054: cannot initialize. EXT MID = 0000
pcieport-driver 0000:00:1c.0: resuming
PM: Writing back config space on device 0000:00:1c.0 at offset f (was 100,
writing 4010a)
PM: Writing back config space on device 0000:00:1c.0 at offset 9 (was 10001,
writing 1fff1)
PM: Writing back config space on device 0000:00:1c.0 at offset 8 (was 0, writing
fff0)
PM: Writing back config space on device 0000:00:1c.0 at offset 7 (was 20000000,
writing 200000f0)
PM: Writing back config space on device 0000:00:1c.0 at offset 3 (was 810000,
writing 810010)
PM: Writing back config space on device 0000:00:1c.0 at offset 1 (was 100000,
writing 100007)
PCI: Setting latency timer of device 0000:00:1c.0 to 64
pcieport-driver 0000:00:1c.1: resuming
PM: Writing back config space on device 0000:00:1c.1 at offset f (was 200,
writing 4020b)
PM: Writing back config space on device 0000:00:1c.1 at offset 9 (was 10001,
writing 1fff1)
PM: Writing back config space on device 0000:00:1c.1 at offset 8 (was 0, writing
f400f400)
PM: Writing back config space on device 0000:00:1c.1 at offset 7 (was 20000000,
writing 200000f0)
PM: Writing back config space on device 0000:00:1c.1 at offset 3 (was 810000,
writing 810010)
PM: Writing back config space on device 0000:00:1c.1 at offset 1 (was 100000,
writing 100007)
PCI: Setting latency timer of device 0000:00:1c.1 to 64
pcieport-driver 0000:00:1c.3: resuming
PM: Writing back config space on device 0000:00:1c.3 at offset f (was 400,
writing 4040a)
PM: Writing back config space on device 0000:00:1c.3 at offset 9 (was 10001,
writing 1fff1)
PM: Writing back config space on device 0000:00:1c.3 at offset 7 (was 20000000,
writing 3020)
PM: Writing back config space on device 0000:00:1c.3 at offset 3 (was 810000,
writing 810010)
PM: Writing back config space on device 0000:00:1c.3 at offset 1 (was 100000,
writing 100007)
PCI: Setting latency timer of device 0000:00:1c.3 to 64
uhci_hcd 0000:00:1d.0: resuming
PCI: Enabling device 0000:00:1d.0 (0000 -> 0001)
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 20 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:00:1d.0 to 64
PM: Writing back config space on device 0000:00:1d.0 at offset f (was 100,
writing 10a)
PM: Writing back config space on device 0000:00:1d.0 at offset 8 (was 1, writing
4021)
usb usb1: root hub lost power or was reset
uhci_hcd 0000:00:1d.1: resuming
PCI: Enabling device 0000:00:1d.1 (0000 -> 0001)
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.1 to 64
PM: Writing back config space on device 0000:00:1d.1 at offset f (was 200,
writing 20b)
PM: Writing back config space on device 0000:00:1d.1 at offset 8 (was 1, writing
4041)
usb usb2: root hub lost power or was reset
uhci_hcd 0000:00:1d.2: resuming
PCI: Enabling device 0000:00:1d.2 (0000 -> 0001)
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.2 to 64
PM: Writing back config space on device 0000:00:1d.2 at offset f (was 300,
writing 30b)
PM: Writing back config space on device 0000:00:1d.2 at offset 8 (was 1, writing
4061)
usb usb3: root hub lost power or was reset
uhci_hcd 0000:00:1d.3: resuming
PCI: Enabling device 0000:00:1d.3 (0000 -> 0001)
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 19 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.3 to 64
PM: Writing back config space on device 0000:00:1d.3 at offset f (was 400,
writing 40a)
PM: Writing back config space on device 0000:00:1d.3 at offset 8 (was 1, writing
4081)
usb usb4: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: resuming
PCI: Enabling device 0000:00:1d.7 (0000 -> 0002)
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 20 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:00:1d.7 to 64
PM: Writing back config space on device 0000:00:1d.7 at offset f (was 100,
writing 10a)
PM: Writing back config space on device 0000:00:1d.7 at offset 4 (was 0, writing
f4584000)
pci 0000:00:1e.0: resuming
PM: Writing back config space on device 0000:00:1e.0 at offset 9 (was 10001,
writing 43f14001)
PM: Writing back config space on device 0000:00:1e.0 at offset 8 (was 0, writing
f430f410)
PM: Writing back config space on device 0000:00:1e.0 at offset 7 (was 228000f0,
writing 22805050)
PM: Writing back config space on device 0000:00:1e.0 at offset 1 (was 100007,
writing 100107)
PCI: Setting latency timer of device 0000:00:1e.0 to 64
pci 0000:00:1f.0: resuming
ata_piix 0000:00:1f.1: resuming
PM: Writing back config space on device 0000:00:1f.1 at offset f (was 100,
writing 10a)
PM: Writing back config space on device 0000:00:1f.1 at offset 8 (was c01,
writing 40a1)
PM: Writing back config space on device 0000:00:1f.1 at offset 7 (was 1, writing
375)
PM: Writing back config space on device 0000:00:1f.1 at offset 6 (was 1, writing
171)
PM: Writing back config space on device 0000:00:1f.1 at offset 5 (was 1, writing
3f5)
PM: Writing back config space on device 0000:00:1f.1 at offset 4 (was 1, writing
1f1)
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1f.1 to 64
ahci 0000:00:1f.2: resuming
ata6: port disabled. ignoring.
PM: Writing back config space on device 0000:00:1f.2 at offset 9 (was fec01000,
writing f4585000)
PM: Writing back config space on device 0000:00:1f.2 at offset 8 (was 1301,
writing 40d1)
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1f.2 to 64
Clocksource tsc unstable (delta = 685877161408 ns)
pci 0000:10:00.0: resuming
PM: Writing back config space on device 0000:10:00.0 at offset f (was 100,
writing 10b)
PM: Writing back config space on device 0000:10:00.0 at offset 4 (was 0, writing
f4000000)
PM: Writing back config space on device 0000:10:00.0 at offset 3 (was 0, writing 10)
PM: Writing back config space on device 0000:10:00.0 at offset 1 (was 100000,
writing 100002)
yenta_cardbus 0000:02:06.0: resuming
PM: Writing back config space on device 0000:02:06.0 at offset f (was 34001ff,
writing 5c0010b)
PM: Writing back config space on device 0000:02:06.0 at offset e (was 0, writing
54fc)
PM: Writing back config space on device 0000:02:06.0 at offset d (was 0, writing
5400)
PM: Writing back config space on device 0000:02:06.0 at offset c (was 0, writing
50fc)
PM: Writing back config space on device 0000:02:06.0 at offset b (was 0, writing
5000)
PM: Writing back config space on device 0000:02:06.0 at offset a (was 0, writing
47fff000)
PM: Writing back config space on device 0000:02:06.0 at offset 9 (was 0, writing
44000000)
PM: Writing back config space on device 0000:02:06.0 at offset 8 (was 0, writing
43fff000)
PM: Writing back config space on device 0000:02:06.0 at offset 7 (was 0, writing
40000000)
PM: Writing back config space on device 0000:02:06.0 at offset 6 (was 0, writing
b0060302)
PM: Writing back config space on device 0000:02:06.0 at offset 4 (was 0, writing
f4100000)
PM: Writing back config space on device 0000:02:06.0 at offset 3 (was 820000,
writing 82a820)
PM: Writing back config space on device 0000:02:06.0 at offset 1 (was 2100000,
writing 2100007)
fw_ohci 0000:02:06.1: resuming
PM: Writing back config space on device 0000:02:06.1 at offset f (was 4020200,
writing 402020a)
PM: Writing back config space on device 0000:02:06.1 at offset 5 (was 0, writing
f4104000)
PM: Writing back config space on device 0000:02:06.1 at offset 4 (was 0, writing
f4101000)
PM: Writing back config space on device 0000:02:06.1 at offset 3 (was 800000,
writing 804010)
PM: Writing back config space on device 0000:02:06.1 at offset 1 (was 2100000,
writing 2100006)
ACPI: PCI Interrupt 0000:02:06.1[B] -> GSI 19 (level, low) -> IRQ 18
b44 0000:02:0e.0: resuming
PM: Writing back config space on device 0000:02:0e.0 at offset f (was 100,
writing 10a)
PM: Writing back config space on device 0000:02:0e.0 at offset 4 (was 0, writing
f4108000)
PM: Writing back config space on device 0000:02:0e.0 at offset 3 (was 0, writing
4000)
PM: Writing back config space on device 0000:02:0e.0 at offset 1 (was 100000,
writing 100006)
system 00:00: resuming
pnp 00:01: resuming
parport_pc 00:02: resuming
pnp: Device 00:02 activated.
pnp 00:03: resuming
pnp 00:04: resuming
pnp 00:05: resuming
pnp 00:06: resuming
pnp 00:07: resuming
i8042 kbd 00:08: resuming
i8042 aux 00:09: resuming
system 00:0a: resuming
system 00:0b: resuming
system 00:0c: resuming
pcspkr pcspkr: resuming
pci_express 0000:00:1c.0:pcie00: resuming
pci_express 0000:00:1c.0:pcie02: resuming
pci_express 0000:00:1c.1:pcie00: resuming
pci_express 0000:00:1c.1:pcie02: resuming
pci_express 0000:00:1c.3:pcie00: resuming
pci_express 0000:00:1c.3:pcie02: resuming
platform vesafb.0: resuming
serial8250 serial8250: resuming
i8042 i8042: resuming
atkbd serio0: resuming
serio serio1: resuming
serio serio2: resuming
serio serio3: resuming
psmouse serio4: resuming
synaptics reset failed
synaptics reset failed
synaptics reset failed
ata2: SATA link down (SStatus 0 SControl 0)
ata3: SATA link down (SStatus 0 SControl 0)
ata4: SATA link down (SStatus 0 SControl 0)
usb usb1: resuming
hub 1-0:1.0: resuming
serio serio5: resuming
usb usb2: resuming
hub 2-0:1.0: resuming
usb usb3: resuming
hub 3-0:1.0: resuming
usb usb4: resuming
hub 4-0:1.0: resuming
usb usb5: resuming
hub 5-0:1.0: resuming
usb 1-1: resuming
 usbdev1.4_ep00: PM: resume from 0, parent 1-1 still 2
hci_usb 1-1:1.0: PM: resume from 2, parent 1-1 still 2
hci_usb 1-1:1.0: resuming
 usbdev1.4_ep81: PM: resume from 0, parent 1-1:1.0 still 2
 usbdev1.4_ep82: PM: resume from 0, parent 1-1:1.0 still 2
 usbdev1.4_ep02: PM: resume from 0, parent 1-1:1.0 still 2
hci_usb 1-1:1.1: PM: resume from 2, parent 1-1 still 2
hci_usb 1-1:1.1: resuming
usb 1-1:1.2: PM: resume from 2, parent 1-1 still 2
usb 1-1:1.2: resuming
 usbdev1.4_ep84: PM: resume from 0, parent 1-1:1.2 still 2
 usbdev1.4_ep04: PM: resume from 0, parent 1-1:1.2 still 2
usb 1-1:1.3: PM: resume from 2, parent 1-1 still 2
usb 1-1:1.3: resuming
 usbdev1.4: PM: resume from 0, parent 1-1 still 2
sd 0:0:0:0: resuming
iTCO_wdt iTCO_wdt: resuming
platform bluetooth: resuming
 usbdev1.4_ep83: PM: resume from 0, parent 1-1:1.1 still 2
 usbdev1.4_ep03: PM: resume from 0, parent 1-1:1.1 still 2
 hci0: PM: resume from 0, parent 1-1:1.0 still 2
sr 4:0:0:0: resuming
ata5: soft resetting port
Restarting tasks ... <6>usb 1-1: USB disconnect, address 4

=============================================
[ INFO: possible recursive locking detected ]
2.6.20-1.3062.fc7 #1
---------------------------------------------
kseriod/216 is trying to acquire lock:
 (&ps2dev->cmd_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24

but task is already holding lock:
 (&ps2dev->cmd_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24

other info that might help us debug this:
5 locks held by kseriod/216:
 #0:  (serio_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24
 #1:  (&s->rwsem){----}, at: [<c05882de>] serio_find_driver+0x13/0x50
 #2:  (&serio->drv_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24
 #3:  (psmouse_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24
 #4:  (&ps2dev->cmd_mutex){--..}, at: [<c0614fa2>] mutex_lock+0x21/0x24

stack backtrace:
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c0442089>] __lock_acquire+0x11f/0xba4
 [<c0442f00>] lock_acquire+0x56/0x6f
 [<c0614e0a>] __mutex_lock_slowpath+0xf7/0x26e
 [<c0614fa2>] mutex_lock+0x21/0x24
 [<c058ad30>] ps2_command+0x92/0x319
 [<c05912d8>] psmouse_sliced_command+0x1c/0x5a
 [<c0594861>] synaptics_pt_write+0x1e/0x41
 [<c058ac0c>] ps2_sendbyte+0x39/0xcb
 [<c058adaa>] ps2_command+0x10c/0x319
 [<c0590f13>] psmouse_probe+0x1d/0x6c
 [<c0591f90>] psmouse_connect+0xed/0x205
 [<c05882a3>] serio_connect_driver+0x1e/0x2e
 [<c05882c9>] serio_driver_probe+0x16/0x18
 [<c0562b45>] really_probe+0xc7/0x150
 [<c0562c63>] driver_probe_device+0x95/0xa1
 [<c0562c77>] __device_attach+0x8/0xa
 [<c0562035>] bus_for_each_drv+0x3a/0x65
 [<c0562d00>] device_attach+0x68/0x7d
 [<c05882e9>] serio_find_driver+0x1e/0x50
 [<c0588f39>] serio_thread+0x153/0x2a6
 [<c043830f>] kthread+0xb3/0xdc
 [<c0405cd3>] kernel_thread_helper+0x7/0x10
 =======================
done.
ata5.00: configured for MWDMA2
ata5: EH complete
usb 1-1: new full speed USB device using uhci_hcd and address 5
usb 1-1: configuration #1 chosen from 1 choice
ata1: waiting for device to spin up (7 secs)
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: configured for UDMA/100
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
ADDRCONF(NETDEV_UP): eth0: link is not ready
b44: eth0: Link is up at 10 Mbps, half duplex.
b44: eth0: Flow control is off for TX and off for RX.
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
Comment 7 Miles Lane 2007-04-27 12:26:15 EDT
My laptop hit this bug when I tested the F7-T4 LiveCD.  I booted the CD,
selected Suspend from the System menu and then tried to resume.  The screen
stayed black, but the CapsLock LED still worked.  I tried switching to a VT, but
that did not help.

My laptop is a HP Pavilion dv1240us.
Comment 8 Terje Røsten 2007-05-02 11:31:21 EDT
Sorry to spam, but can you try the trick in comment # 8 from:

 https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238342

Thanks!
Comment 9 Roy-Magne Mo 2007-05-02 12:53:48 EDT
(In reply to comment #8)
> Sorry to spam, but can you try the trick in comment # 8 from:
> 
>  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=238342

didn't help :( 

But as far as i can see, this problem has already been fixed in the FC6-kernels:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217513
Comment 10 Valent Turkovic 2007-05-03 09:59:23 EDT
I'm joining the discussion. I have a very similliar laptop HP/Compaq nx7300 and
the SAME problem with suspend/resume.

I must tell you that this is fixable problem because on openSuse 10.2
suspend/resume works great on this laptop.

How can I help so that you can fix this issue before Fedora 7 ships?

I'm running Fedora 7 test 4 with latest kernel (2.6.21-1.3116.fc7) and all the
updates applied. 
Comment 11 Roy-Magne Mo 2007-05-03 11:09:15 EDT
(In reply to comment #10)
> I'm joining the discussion. I have a very similliar laptop HP/Compaq nx7300 and
> the SAME problem with suspend/resume.
> 
> I must tell you that this is fixable problem because on openSuse 10.2
> suspend/resume works great on this laptop.
> 
> How can I help so that you can fix this issue before Fedora 7 ships?
> 
> I'm running Fedora 7 test 4 with latest kernel (2.6.21-1.3116.fc7) and all the
> updates applied. 

The Novell/Suse fix is in: 
https://bugzilla.novell.com/show_bug.cgi?id=179702

Comment 12 Valent Turkovic 2007-05-03 16:44:25 EDT
I only needed to edit /etc/pm/config file and add this line:

# what options should be passed to s2ram?
# see http://en.opensuse.org/S2ram for more information
S2RAM_OPTS="-f -p -m"

after that my laptop worked like a charm, before that suspend worked but
resuming didn't turn on laptop screen, but laptop seamed to work ok - only with
no picture :)

here is an expanation for s2ram:

~> s2ram --help
Usage: s2ram [-nhi] [-fspmra]

Options:
    -h, --help:       this text.
    -n, --test:       test if the machine is in the database.
                      returns 0 if known and supported
    -i, --identify:   prints a string that identifies the machine.
    -f, --force:      force suspending, even on unknown machines.

the following options are only available with --force:
    -s, --vbe_save:   save VBE state before suspending and restore after resume.
    -p, --vbe_post:   VBE POST the graphics card after resume
    -m, --vbe_mode:   get VBE mode before suspend and set it after resume
    -r, --radeontool: turn off the backlight on radeons before suspending.
    -a, --acpi_sleep: set the acpi_sleep parameter before suspend
                      1=s3_bios, 2=s3_mode, 3=both

so in order for my laptop to work I needed:

-force suspending, even on unknown machines
-VBE POST the graphics card after resume
-get VBE mode before suspend and set it after resume

maybe I need to to the same with fedora some comparable fedora tools?
Comment 13 Roy-Magne Mo 2007-05-06 12:52:40 EDT
Tried with 2.6.21-1.3141.fc7, and things seems to partly work now. It seems like
the display is the only thing that don't survive a suspend. 

I can log in to the computer remote and the keyboard works. The display is
turned on, as I can see it's backlit. 

Logging in and doing a pm-hibernate and rebooting the machine brings it back to
life. 

Addiotionaly it seems like the iwlwifi/iwl3945 has started to oops when trying
to rmmod it - but I will suspend this further. 
Comment 14 Valent Turkovic 2007-05-23 10:39:25 EDT
Please look also at my bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240964

maybe we can help each other out?

My laptop is nx7300.
Comment 15 Richard Hughes 2007-05-24 06:27:01 EDT
Can you try http://people.freedesktop.org/~hughsient/quirk/ please. Thanks.
Comment 16 Valent Turkovic 2007-05-24 06:51:42 EDT
Richard if in comment #15b you were talking to me - i tried quirks, and they
still  don't resume my laptop.
Comment 17 Valent Turkovic 2007-05-24 06:51:57 EDT
Richard if in comment #15 you were talking to me - i tried quirks, and they
still  don't resume my laptop.
Comment 18 Valent Turkovic 2008-01-25 21:51:46 EST
with fedora 8 suspend & resume works. Bug closing time?
Comment 19 Jon Stanley 2008-01-25 21:57:53 EST
Yep, this bug is so old and polluted full of disparate reports to be very useful
anyways.  Since it:

1)  Works for you in F8
2)  This bug hasn't been updated in 6+months before now

I'll go ahead and close this one CURRENTRELEASE.

If someone feels that this is incorrect, please open a new bug.

Thanks!
-Jon

Note You need to log in before you can comment on or make changes to this bug.